{
    "openapi": "3.0.0",
    "info": {
        "title": "APL API",
        "description": "APL NextED - OpenAPI Specification\n\n            --------------------------------------------------------------------\n            OAuth Token Request Examples:\n            --------------------------------------------------------------------\n\n            --- RAW\n\n             curl --location --request POST 'https://api.aplnexted.com/oauth/token' \\\n             --header 'Content-Type: application/json' \\\n             --header 'Content-Length: {some non-zero value} ON PUT and POST' \\\n             --header 'User-Agent: APL API Client v1' \\\n             --data-raw '{\n                 \"grant_type\": \"password\",\n                 \"client_id\": \"{Client ID}\",\n                 \"client_secret\": \"{Client Secret}\",\n                 \"username\": \"{user name}\",\n                 \"password\": \"{password}\"\n             }'\n\n             --- FORM POST\n\n             curl --location --request POST 'https://api.aplnexted.com/oauth/token' \\\n                --header 'User-Agent: APL API Client v1' \\\n                --form 'grant_type=\"password\"' \\\n                --form 'client_id=\"{Client ID}\"' \\\n                --form 'client_secret=\"{Client Secret}\"' \\\n                --form 'username=\"{user name}\"' \\\n                --form 'password=\"{password}\"'\n\n            --------------------------------------------------------------------\n            Request Example:\n            --------------------------------------------------------------------\n\n            --- GET REQUEST\n\n            curl --location --request GET 'https://api.aplnexted.com/api/v1/faculty' \\\n                --header 'Accept: application/json' \\\n                --header 'User-Agent: APL API Client v1' \\\n                --header 'Authorization: Bearer {Bearer Token}'\n     ",
        "version": "1.1.0"
    },
    "paths": {
        "/v1/activity": {
            "get": {
                "tags": [
                    "Activity"
                ],
                "summary": "Get list of activities",
                "description": "Returns list of activities. Default required fields for creation: faculty_unique_id, title_of_activity, type, subtype_id, start_date. Note: Some institutions may have additional required fields configured via the APL application's institution activity configuration area.",
                "operationId": "getActivities",
                "parameters": [
                    {
                        "name": "faculty_unique_id",
                        "in": "query",
                        "description": "Filter by faculty unique ID",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "type_id",
                        "in": "query",
                        "description": "Filter by activity type ID",
                        "required": false,
                        "schema": {
                            "type": "integer"
                        }
                    },
                    {
                        "name": "year",
                        "in": "query",
                        "description": "Filter by academic year",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Activity"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "Activity"
                ],
                "summary": "Add a new Activity",
                "description": "Add a new Activity. Required fields: faculty_unique_id, title_of_activity, type, subtype_id, start_date. Note: Some institutions may have additional required fields configured via the APL application's institution activity configuration area (activity_type_field_settings table).",
                "operationId": "storeActivity",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "title_of_activity",
                                    "type",
                                    "subtype_id",
                                    "start_date"
                                ],
                                "properties": {
                                    "faculty_unique_id": {
                                        "description": "Faculty UniqueID (always required)",
                                        "type": "string"
                                    },
                                    "title_of_activity": {
                                        "description": "Title Of Activity (always required)",
                                        "type": "string"
                                    },
                                    "type": {
                                        "description": "Activity Type name (always required)",
                                        "type": "string"
                                    },
                                    "subtype_id": {
                                        "description": "Subtype ID (always required)",
                                        "type": "integer"
                                    },
                                    "start_date": {
                                        "description": "Start Date (always required)",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "end_date": {
                                        "description": "End Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "tertiarytype_id": {
                                        "description": "Tertiary Type ID",
                                        "type": "integer"
                                    },
                                    "total": {
                                        "description": "Total",
                                        "type": "integer"
                                    },
                                    "count": {
                                        "description": "Count",
                                        "type": "integer"
                                    },
                                    "hours": {
                                        "description": "Hours",
                                        "type": "number",
                                        "format": "float"
                                    },
                                    "dollars": {
                                        "description": "Dollars",
                                        "type": "number",
                                        "format": "float"
                                    },
                                    "academic_year": {
                                        "description": "Academic Year",
                                        "type": "string"
                                    },
                                    "unique_id": {
                                        "description": "UniqueID",
                                        "type": "string"
                                    },
                                    "description": {
                                        "description": "Description",
                                        "type": "string"
                                    },
                                    "contributors": {
                                        "description": "Contributors",
                                        "type": "string"
                                    },
                                    "link": {
                                        "description": "Link",
                                        "type": "string"
                                    },
                                    "provider": {
                                        "description": "Provider",
                                        "type": "string"
                                    },
                                    "advisees": {
                                        "description": "Advisees",
                                        "type": "integer"
                                    },
                                    "grantor": {
                                        "description": "Grantor",
                                        "type": "string"
                                    },
                                    "role": {
                                        "description": "Role",
                                        "type": "string"
                                    },
                                    "journal_name": {
                                        "description": "Journal Name",
                                        "type": "string"
                                    },
                                    "acceptance_rate": {
                                        "description": "Acceptance Rate",
                                        "type": "string"
                                    },
                                    "circulation": {
                                        "description": "Circulation",
                                        "type": "string"
                                    },
                                    "selection_method": {
                                        "description": "Selection Method",
                                        "type": "string"
                                    },
                                    "citation": {
                                        "description": "Citation",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/activity/{unique_id}": {
            "get": {
                "tags": [
                    "Activity"
                ],
                "summary": "Get Activity information by UniqueID",
                "description": "Returns Activity data",
                "operationId": "getByActivityUniqueId",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Activity UniqueID",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Activity"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "Activity"
                ],
                "summary": "Update An Activity",
                "description": "Update an Activity entry. Required fields cannot be removed: faculty_unique_id, title_of_activity, type, subtype_id, start_date. Note: Some institutions may have additional required fields configured.",
                "operationId": "updateActivity",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Activity UniqueID",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "properties": {
                                    "faculty_unique_id": {
                                        "description": "Faculty UniqueID",
                                        "type": "string"
                                    },
                                    "title_of_activity": {
                                        "description": "Title Of Activity",
                                        "type": "string"
                                    },
                                    "type": {
                                        "description": "Type",
                                        "type": "string"
                                    },
                                    "subtype_id": {
                                        "description": "Subtype ID",
                                        "type": "integer"
                                    },
                                    "tertiarytype_id": {
                                        "description": "Tertiary Type ID",
                                        "type": "integer"
                                    },
                                    "total": {
                                        "description": "Total",
                                        "type": "integer"
                                    },
                                    "count": {
                                        "description": "Count",
                                        "type": "integer"
                                    },
                                    "hours": {
                                        "description": "Hours",
                                        "type": "number",
                                        "format": "float"
                                    },
                                    "dollars": {
                                        "description": "Dollars",
                                        "type": "number",
                                        "format": "float"
                                    },
                                    "start_date": {
                                        "description": "Start Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "end_date": {
                                        "description": "End Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "academic_year": {
                                        "description": "Academic Year",
                                        "type": "string"
                                    },
                                    "description": {
                                        "description": "Description",
                                        "type": "string"
                                    },
                                    "contributors": {
                                        "description": "Contributors",
                                        "type": "string"
                                    },
                                    "link": {
                                        "description": "Link",
                                        "type": "string"
                                    },
                                    "provider": {
                                        "description": "Provider",
                                        "type": "string"
                                    },
                                    "advisees": {
                                        "description": "Advisees",
                                        "type": "integer"
                                    },
                                    "grantor": {
                                        "description": "Grantor",
                                        "type": "string"
                                    },
                                    "role": {
                                        "description": "Role",
                                        "type": "string"
                                    },
                                    "journal_name": {
                                        "description": "Journal Name",
                                        "type": "string"
                                    },
                                    "acceptance_rate": {
                                        "description": "Acceptance Rate",
                                        "type": "string"
                                    },
                                    "circulation": {
                                        "description": "Circulation",
                                        "type": "string"
                                    },
                                    "selection_method": {
                                        "description": "Selection Method",
                                        "type": "string"
                                    },
                                    "citation": {
                                        "description": "Citation",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Activity"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "Activity"
                ],
                "summary": "Delete An Activity",
                "description": "Delete an Activity entry.",
                "operationId": "destroyActivity",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Activity UniqueID",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/activity-status": {
            "get": {
                "tags": [
                    "ActivityStatus"
                ],
                "summary": "Get list of activity status",
                "description": "Returns list of activity status",
                "operationId": "getActivityStatus",
                "responses": {
                    "200": {
                        "description": "index",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ActivityStatus"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "ActivityStatus"
                ],
                "summary": "Add a new Activity Status",
                "description": "Add a new Activity Status",
                "operationId": "storeActivityStatus",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "activity_unique_id",
                                    "status",
                                    "year"
                                ],
                                "properties": {
                                    "activity_unique_id": {
                                        "description": "Activity Unique ID",
                                        "type": "string"
                                    },
                                    "faculty_unique_id": {
                                        "description": "Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "status": {
                                        "description": "Activity Status(Values for Status can be only one of the following: Pending, Accepted, Submitted, Completed)",
                                        "type": "string"
                                    },
                                    "year": {
                                        "description": "Academic Year",
                                        "type": "string"
                                    },
                                    "comments": {
                                        "description": "Comments",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ActivityStatus"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/activity-status/{id}": {
            "get": {
                "tags": [
                    "ActivityStatus"
                ],
                "summary": "Get Activity Status information by UniqueID",
                "description": "Returns Activity Status data",
                "operationId": "getActivityStatusById",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Activity Status ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "View",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ActivityStatus"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "ActivityStatus"
                ],
                "summary": "Update Activity Status Status information",
                "description": "Update Attribute data",
                "operationId": "updateActivityStatus",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Activity Status ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "activity_unique_id",
                                    "status",
                                    "year"
                                ],
                                "properties": {
                                    "activity_unique_id": {
                                        "description": "Activity Unique ID",
                                        "type": "string"
                                    },
                                    "faculty_unique_id": {
                                        "description": "Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "status": {
                                        "description": "Activity Status(Values for Status can be only one of the following: Pending, Accepted, Submitted, Completed)",
                                        "type": "string"
                                    },
                                    "year": {
                                        "description": "Academic Year",
                                        "type": "string"
                                    },
                                    "comments": {
                                        "description": "Comments",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "200": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/ActivityStatus"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "ActivityStatus"
                ],
                "summary": "Delete Activity Status information",
                "description": "Delete Activity Status data",
                "operationId": "destroyActivityStatus",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Activity Status ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute": {
            "get": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Get list of Attributes",
                "description": "Returns list of Attributes",
                "operationId": "getAttibutes",
                "parameters": [
                    {
                        "$ref": "#/components/parameters/filter[]"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "index",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Add a new Attribute",
                "description": "Add a new Attribute",
                "operationId": "storeAttribute",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "academic_year"
                                ],
                                "properties": {
                                    "faculty_unique_id": {
                                        "description": "Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "academic_year": {
                                        "description": "Academic Year",
                                        "type": "string"
                                    },
                                    "rank": {
                                        "description": "Rank Id",
                                        "type": "integer"
                                    },
                                    "track": {
                                        "description": "Track Id",
                                        "type": "integer"
                                    },
                                    "load": {
                                        "description": "Load Class Id",
                                        "type": "integer"
                                    },
                                    "loadstatus": {
                                        "description": "University Load Status Id",
                                        "type": "integer"
                                    },
                                    "compensation_mode": {
                                        "description": "Compensation Mode Id",
                                        "type": "integer"
                                    },
                                    "qualification_group": {
                                        "description": "Qualification Group Id",
                                        "type": "integer"
                                    },
                                    "effective_date": {
                                        "description": "Effective Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "unique_id": {
                                        "description": "Unique Id",
                                        "type": "string"
                                    },
                                    "faculty_comp_unique_id": {
                                        "description": "Compensation Faculty Unique Id",
                                        "type": "string"
                                    },
                                    "faculty_distinction_unique_id": {
                                        "description": "Faculty Distinction Unique ID",
                                        "type": "string"
                                    },
                                    "affiliation_unique_id": {
                                        "description": "Affiliation Unique ID",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute/{unique_id}": {
            "get": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Get Attribute information by UniqueID",
                "description": "Returns Attribute data",
                "operationId": "getAttributeByUniqueId",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Attribute UniqueID",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "view",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Update Attribute information",
                "description": "Update Attribute data",
                "operationId": "updateAttribute",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Attribute UniqueID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "academic_year"
                                ],
                                "properties": {
                                    "faculty_unique_id": {
                                        "description": "Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "academic_year": {
                                        "description": "Academic Year ex. 2025/2026",
                                        "type": "string"
                                    },
                                    "rank": {
                                        "description": "Rank",
                                        "type": "integer"
                                    },
                                    "track": {
                                        "description": "Track",
                                        "type": "integer"
                                    },
                                    "load": {
                                        "description": "Load Class Id",
                                        "type": "integer"
                                    },
                                    "loadstatus": {
                                        "description": "University Load Status Id",
                                        "type": "integer"
                                    },
                                    "compensation_mode": {
                                        "description": "Compensation Mode",
                                        "type": "integer"
                                    },
                                    "qualification_group": {
                                        "description": "Qualification Group",
                                        "type": "integer"
                                    },
                                    "effective_date": {
                                        "description": "Effective Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "faculty_comp_unique_id": {
                                        "description": "Compensation Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "faculty_distinction_unique_id": {
                                        "description": "Faculty Distinction Unique ID",
                                        "type": "string"
                                    },
                                    "affiliation_unique_id": {
                                        "description": "Affiliation Unique ID",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "200": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Delete Attribute information",
                "description": "Delete Attribute data",
                "operationId": "destroyAttribute",
                "parameters": [
                    {
                        "name": "unique_id",
                        "in": "path",
                        "description": "Attribute UniqueID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute/by-id/{id}": {
            "get": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Get Attribute information by ID",
                "description": "Returns Attribute data",
                "operationId": "getAttributeById",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute Id",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "view",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "Attribute"
                ],
                "summary": "Update Attribute information",
                "description": "Update Attribute data",
                "operationId": "updateAttributeById",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute Id",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "faculty_unique_id",
                                    "academic_year"
                                ],
                                "properties": {
                                    "faculty_unique_id": {
                                        "description": "Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "academic_year": {
                                        "description": "Academic Year ex. 2025/2026",
                                        "type": "string"
                                    },
                                    "rank": {
                                        "description": "Rank",
                                        "type": "integer"
                                    },
                                    "track": {
                                        "description": "Track",
                                        "type": "integer"
                                    },
                                    "load": {
                                        "description": "Load Class Id",
                                        "type": "integer"
                                    },
                                    "loadstatus": {
                                        "description": "University Load Status Id",
                                        "type": "integer"
                                    },
                                    "compensation_mode": {
                                        "description": "Compensation Mode",
                                        "type": "integer"
                                    },
                                    "qualification_group": {
                                        "description": "Qualification Group",
                                        "type": "integer"
                                    },
                                    "effective_date": {
                                        "description": "Effective Date",
                                        "type": "string",
                                        "format": "date"
                                    },
                                    "faculty_comp_unique_id": {
                                        "description": "Compensation Faculty Unique ID",
                                        "type": "string"
                                    },
                                    "faculty_distinction_unique_id": {
                                        "description": "Faculty Distinction Unique ID",
                                        "type": "string"
                                    },
                                    "affiliation_unique_id": {
                                        "description": "Affiliation Unique ID",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "200": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute-load": {
            "get": {
                "tags": [
                    "AttributeLoad"
                ],
                "summary": "Get list of AttributeLoads",
                "description": "Returns list of Attribute Loads",
                "operationId": "getAttibuteLoads",
                "responses": {
                    "200": {
                        "description": "index",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AttributeLoad"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "AttributeLoad"
                ],
                "summary": "Add a new AttributeLoad",
                "description": "Add a new AttributeLoad",
                "operationId": "storeAttributeLoad",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "unique_id",
                                    "name"
                                ],
                                "properties": {
                                    "unique_id": {
                                        "description": "Unique ID",
                                        "type": "string"
                                    },
                                    "name": {
                                        "description": "Name",
                                        "type": "string"
                                    },
                                    "class_id": {
                                        "description": "",
                                        "type": "integer"
                                    },
                                    "thresold": {
                                        "description": "",
                                        "type": "integer"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "403": {
                        "description": "Access denied"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute-load/{id}": {
            "put": {
                "tags": [
                    "AttributeLoad"
                ],
                "summary": "Update the Attribute Load",
                "description": "Update the Attribute Load",
                "operationId": "updateAttributeLoad",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute id",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "unique_id",
                                    "name"
                                ],
                                "properties": {
                                    "unique_id": {
                                        "description": "Unique ID",
                                        "type": "string"
                                    },
                                    "name": {
                                        "description": "Name",
                                        "type": "string"
                                    },
                                    "class_id": {
                                        "description": "",
                                        "type": "integer"
                                    },
                                    "thresold": {
                                        "description": "",
                                        "type": "integer"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AttributeLoad"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "403": {
                        "description": "Access denied"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "AttributeLoad"
                ],
                "summary": "Delete Attribute Load information",
                "description": "Delete Attribute Load data",
                "operationId": "destroyAttributeLoad",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute Load ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute-rank": {
            "get": {
                "tags": [
                    "AttributeRank"
                ],
                "summary": "Get list of Attribute Ranks",
                "description": "Returns list of Attribute Ranks",
                "operationId": "getAttibuteRanks",
                "responses": {
                    "200": {
                        "description": "index",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AttributeRank"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "AttributeRank"
                ],
                "summary": "Add a new AttributeRank",
                "description": "Add a new AttributeRank",
                "operationId": "storeAttributeRank",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "unique_id",
                                    "name"
                                ],
                                "properties": {
                                    "unique_id": {
                                        "description": "Unique ID",
                                        "type": "string"
                                    },
                                    "name": {
                                        "description": "Name",
                                        "type": "string"
                                    },
                                    "class_id": {
                                        "description": "",
                                        "type": "integer"
                                    },
                                    "thresold": {
                                        "description": "",
                                        "type": "integer"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "403": {
                        "description": "Access denied"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/attribute-rank/{id}": {
            "get": {
                "tags": [
                    "AttributeRank"
                ],
                "summary": "Get list of Attribute Ranks",
                "description": "Returns list of Attribute Ranks",
                "operationId": "getAttributeRankById",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute Rank id",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "index",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/Attribute"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "AttributeRank"
                ],
                "summary": "Update the Attribute Rank",
                "description": "Update the Attribute Rank",
                "operationId": "updateAttributeRank",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute id",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/x-www-form-urlencoded": {
                            "schema": {
                                "required": [
                                    "unique_id",
                                    "name"
                                ],
                                "properties": {
                                    "unique_id": {
                                        "description": "Unique ID",
                                        "type": "string"
                                    },
                                    "name": {
                                        "description": "Name",
                                        "type": "string"
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AttributeRank"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "403": {
                        "description": "Access denied"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "AttributeRank"
                ],
                "summary": "Delete Attribute Rank record",
                "description": "Delete Attribute Rank record",
                "operationId": "destroyAttributeRank",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Attribute Rank ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/auto-staffing-jobs": {
            "get": {
                "tags": [
                    "AutoStaffingJob"
                ],
                "summary": "Get list of Auto Staffing Jobs",
                "description": "Returns list of Auto Staffing Jobs with search and pagination",
                "operationId": "getAutoStaffingJobs",
                "parameters": [
                    {
                        "name": "search",
                        "in": "query",
                        "description": "Search term for job name or status",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "status",
                        "in": "query",
                        "description": "Filter by job status",
                        "required": false,
                        "schema": {
                            "type": "string",
                            "enum": [
                                "draft",
                                "pending",
                                "completed",
                                "cancelled"
                            ]
                        }
                    },
                    {
                        "name": "perpage",
                        "in": "query",
                        "description": "Number of items per page",
                        "required": false,
                        "schema": {
                            "type": "integer",
                            "maximum": 100,
                            "minimum": 1
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJob"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "post": {
                "tags": [
                    "AutoStaffingJob"
                ],
                "summary": "Create Auto Staffing Job",
                "description": "Creates a new Auto Staffing Job",
                "operationId": "storeAutoStaffingJob",
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/json": {
                            "schema": {
                                "required": [
                                    "name",
                                    "status"
                                ],
                                "properties": {
                                    "name": {
                                        "description": "Job name",
                                        "type": "string"
                                    },
                                    "status": {
                                        "description": "Job status",
                                        "type": "string",
                                        "enum": [
                                            "draft",
                                            "pending",
                                            "completed",
                                            "cancelled"
                                        ]
                                    },
                                    "campus_ids": {
                                        "description": "Campus IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "college_ids": {
                                        "description": "College IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "dept_ids": {
                                        "description": "Department IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "term_ids": {
                                        "description": "Term IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "academic_year": {
                                        "description": "Academic year",
                                        "type": "string"
                                    },
                                    "ranks": {
                                        "description": "Rank criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "tracks": {
                                        "description": "Track criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "loads": {
                                        "description": "Load criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "affiliations": {
                                        "description": "Affiliation criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "designations": {
                                        "description": "Designation criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "distinctions": {
                                        "description": "Distinction criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "taught_before": {
                                        "description": "Must have taught before",
                                        "type": "boolean"
                                    },
                                    "instruction_role": {
                                        "description": "Instruction role ID",
                                        "type": "integer"
                                    },
                                    "course_start_date_within_days": {
                                        "description": "Course start date within days",
                                        "type": "integer"
                                    },
                                    "date_to_execute": {
                                        "description": "Date to execute",
                                        "type": "string",
                                        "format": "date-time"
                                    },
                                    "send_summary_email": {
                                        "description": "Send summary email",
                                        "type": "boolean"
                                    },
                                    "course_unique_ids": {
                                        "description": "Array of course unique IDs to create job details for",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "201": {
                        "description": "Created",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJob"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/auto-staffing-jobs/{id}": {
            "get": {
                "tags": [
                    "AutoStaffingJob"
                ],
                "summary": "Get Auto Staffing Job by ID",
                "description": "Returns a single Auto Staffing Job with related data",
                "operationId": "getAutoStaffingJob",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Auto Staffing Job ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJob"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "put": {
                "tags": [
                    "AutoStaffingJob"
                ],
                "summary": "Update Auto Staffing Job",
                "description": "Updates an existing Auto Staffing Job",
                "operationId": "updateAutoStaffingJob",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Auto Staffing Job ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "requestBody": {
                    "required": true,
                    "content": {
                        "application/json": {
                            "schema": {
                                "properties": {
                                    "name": {
                                        "description": "Job name",
                                        "type": "string"
                                    },
                                    "status": {
                                        "description": "Job status",
                                        "type": "string",
                                        "enum": [
                                            "draft",
                                            "pending",
                                            "completed",
                                            "cancelled"
                                        ]
                                    },
                                    "campus_ids": {
                                        "description": "Campus IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "college_ids": {
                                        "description": "College IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "dept_ids": {
                                        "description": "Department IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "term_ids": {
                                        "description": "Term IDs",
                                        "type": "array",
                                        "items": {
                                            "type": "integer"
                                        }
                                    },
                                    "academic_year": {
                                        "description": "Academic year",
                                        "type": "string"
                                    },
                                    "ranks": {
                                        "description": "Rank criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "tracks": {
                                        "description": "Track criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "loads": {
                                        "description": "Load criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "affiliations": {
                                        "description": "Affiliation criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "designations": {
                                        "description": "Designation criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "distinctions": {
                                        "description": "Distinction criteria",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    },
                                    "taught_before": {
                                        "description": "Must have taught before",
                                        "type": "boolean"
                                    },
                                    "instruction_role": {
                                        "description": "Instruction role ID",
                                        "type": "integer"
                                    },
                                    "course_start_date_within_days": {
                                        "description": "Course start date within days",
                                        "type": "integer"
                                    },
                                    "date_to_execute": {
                                        "description": "Date to execute",
                                        "type": "string",
                                        "format": "date-time"
                                    },
                                    "send_summary_email": {
                                        "description": "Send summary email",
                                        "type": "boolean"
                                    },
                                    "course_unique_ids": {
                                        "description": "Array of course unique IDs to update job details for",
                                        "type": "array",
                                        "items": {
                                            "type": "string"
                                        }
                                    }
                                },
                                "type": "object"
                            }
                        }
                    }
                },
                "responses": {
                    "200": {
                        "description": "Updated",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJob"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    },
                    "422": {
                        "description": "Unprocessable Entity"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "AutoStaffingJob"
                ],
                "summary": "Delete Auto Staffing Job",
                "description": "Soft deletes an Auto Staffing Job",
                "operationId": "deleteAutoStaffingJob",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Auto Staffing Job ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "write:projects",
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/auto-staffing-job-details": {
            "get": {
                "tags": [
                    "AutoStaffingJobDetail"
                ],
                "summary": "Get list of Auto Staffing Job Details",
                "description": "Returns list of Auto Staffing Job Details with search and pagination",
                "operationId": "getAutoStaffingJobDetails",
                "parameters": [
                    {
                        "name": "search",
                        "in": "query",
                        "description": "Search term for status or status details",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "status",
                        "in": "query",
                        "description": "Filter by detail status",
                        "required": false,
                        "schema": {
                            "type": "string",
                            "enum": [
                                "pending",
                                "matched",
                                "failed",
                                "cancelled"
                            ]
                        }
                    },
                    {
                        "name": "job_id",
                        "in": "query",
                        "description": "Filter by auto staffing job ID",
                        "required": false,
                        "schema": {
                            "type": "integer"
                        }
                    },
                    {
                        "name": "perpage",
                        "in": "query",
                        "description": "Number of items per page",
                        "required": false,
                        "schema": {
                            "type": "integer",
                            "maximum": 100,
                            "minimum": 1
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJobDetail"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            }
        },
        "/v1/auto-staffing-job-details/{id}": {
            "get": {
                "tags": [
                    "AutoStaffingJobDetail"
                ],
                "summary": "Get Auto Staffing Job Detail by ID",
                "description": "Returns a single Auto Staffing Job Detail with related data",
                "operationId": "getAutoStaffingJobDetail",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Auto Staffing Job Detail ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/AutoStaffingJobDetail"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Resource Not Found"
                    }
                },
                "security": [
                    {
                        "passport": [
                            "read:projects"
                        ]
                    }
                ]
            },
            "delete": {
                "tags": [
                    "AutoStaffingJobDetail"
                ],
                "summary": "Delete Auto Staffing Job Detail",
                "description": "Soft deletes an Auto Staffing Job Detail",
                "operationId": "deleteAutoStaffingJobDetail",
                "parameters": [
                    {
                        "name": "id",
                        "in": "path",
                        "description": "Auto Staffing Job Detail ID",
                        "required": true,
                        "schema": {
                            "type": "integer"
                        }
                    }
[...]
